Search Gradle plugins

Version 1.5.3 (latest)

Created 18 September 2020.

Tool to verify the compatibility of the class paths of Gradle projects

Using the plugins DSL:

plugins {
  id "com.google.cloud.tools.linkagechecker" version "1.5.3"
}

Using legacy plugin application:

buildscript {
  repositories {
    maven {
      url "https://plugins.gradle.org/m2/"
    }
  }
  dependencies {
    classpath "gradle.plugin.com.google.cloud.tools:linkage-checker-gradle-plugin:1.5.3"
  }
}

apply plugin: "com.google.cloud.tools.linkagechecker"

Using the plugins DSL:

plugins {
  id("com.google.cloud.tools.linkagechecker") version "1.5.3"
}

Using legacy plugin application:

buildscript {
  repositories {
    maven {
      url = uri("https://plugins.gradle.org/m2/")
    }
  }
  dependencies {
    classpath("gradle.plugin.com.google.cloud.tools:linkage-checker-gradle-plugin:1.5.3")
  }
}

apply(plugin = "com.google.cloud.tools.linkagechecker")

Learn how to apply plugins to subprojects